!
!-------------------------- Default Units for Model ---------------------------!
!
!
defaults units  &
   length = meter  &
   angle = deg  &
   force = newton  &
   mass = kg  &
   time = sec
!
defaults units  &
   coordinate_system_type = cartesian  &
   orientation_type = body313
!
!--------------------------- Model Specific Colors ----------------------------!
!
!
if condition = (! db_exists(".colors.COLOR_R123G125B126"))
!
color create  &
   color_name = .colors.COLOR_R123G125B126  &
   red_component = 0.4823529412  &
   blue_component = 0.4941176471  &
   green_component = 0.4901960784
!
else 
!
color modify  &
   color_name = .colors.COLOR_R123G125B126  &
   red_component = 0.4823529412  &
   blue_component = 0.4941176471  &
   green_component = 0.4901960784
!
end 
!
if condition = (! db_exists(".colors.COLOR_R229G233B236"))
!
color create  &
   color_name = .colors.COLOR_R229G233B236  &
   red_component = 0.8980392157  &
   blue_component = 0.9294117647  &
   green_component = 0.9176470588
!
else 
!
color modify  &
   color_name = .colors.COLOR_R229G233B236  &
   red_component = 0.8980392157  &
   blue_component = 0.9294117647  &
   green_component = 0.9176470588
!
end 
!
!------------------------ Default Attributes for Model ------------------------!
!
!
defaults attributes  &
   inheritance = bottom_up  &
   icon_visibility = on  &
   grid_visibility = off  &
   size_of_icons = 5.0E-002  &
   spacing_for_grid = 1.0
!
!--------------------------- Plugins used by Model ----------------------------!
!
!
plugin load  &
   plugin_name = .MDI.plugins.controls
!
!------------------------------ Adams/View Model ------------------------------!
!
!
model create  &
   model_name = MODEL_1
!
view erase
!
!-------------------------------- Data storage --------------------------------!
!
!
data_element create variable  &
   variable_name = .MODEL_1.TORQUE1  &
   adams_id = 1  &
   initial_condition = 0.0  &
   function = ""
!
data_element create variable  &
   variable_name = .MODEL_1.TORQUE2  &
   adams_id = 2  &
   initial_condition = 0.0  &
   function = ""
!
data_element create variable  &
   variable_name = .MODEL_1.ANGLE1  &
   adams_id = 3  &
   initial_condition = 0.0  &
   function = ""
!
data_element create variable  &
   variable_name = .MODEL_1.ANGLE2  &
   adams_id = 4  &
   initial_condition = 0.0  &
   function = ""
!
data_element create plant input  &
   plant_input_name = .MODEL_1.PINPUT_1  &
   adams_id = 1  &
   variable_name = .MODEL_1.TORQUE1
!
data_element create plant input  &
   plant_input_name = .MODEL_1.PINPUT_2  &
   adams_id = 2  &
   variable_name = .MODEL_1.TORQUE2
!
data_element create plant output  &
   plant_output_name = .MODEL_1.POUTPUT_1  &
   adams_id = 1  &
   variable_name = .MODEL_1.ANGLE1
!
data_element create plant output  &
   plant_output_name = .MODEL_1.POUTPUT_2  &
   adams_id = 2  &
   variable_name = .MODEL_1.ANGLE2
!
!--------------------------------- Materials ----------------------------------!
!
!
material create  &
   material_name = .MODEL_1.steel  &
   adams_id = 8  &
   youngs_modulus = 2.07E+011  &
   poissons_ratio = 0.29  &
   density = 7801.0
!
material create  &
   material_name = .MODEL_1.MATERIAL_1  &
   adams_id = 1  &
   youngs_modulus = 7.0E+016  &
   poissons_ratio = 0.33  &
   density = 1.0E+009
!
material create  &
   material_name = .MODEL_1.MATERIAL_2  &
   adams_id = 2  &
   youngs_modulus = 7.0E+010  &
   poissons_ratio = 0.33  &
   density = 1.0
!
material create  &
   material_name = .MODEL_1.MATERIAL_3  &
   adams_id = 3  &
   youngs_modulus = 7.0E+010  &
   poissons_ratio = 0.33  &
   density = 2700.0
!
material create  &
   material_name = .MODEL_1.MATERIAL_4  &
   adams_id = 4  &
   youngs_modulus = 7.0E+010  &
   poissons_ratio = 0.33  &
   density = 2700.0
!
material create  &
   material_name = .MODEL_1.MATERIAL_5  &
   adams_id = 5  &
   youngs_modulus = 7.0E+010  &
   poissons_ratio = 0.33  &
   density = 2700.0
!
material create  &
   material_name = .MODEL_1.MATERIAL_6  &
   adams_id = 6  &
   youngs_modulus = 7.0E+010  &
   poissons_ratio = 0.33  &
   density = 2700.0
!
material create  &
   material_name = .MODEL_1.MATERIAL_7  &
   adams_id = 7  &
   youngs_modulus = 7.0E+010  &
   poissons_ratio = 0.33  &
   density = 2700.0
!
!-------------------------------- Rigid Parts ---------------------------------!
!
! Create parts and their dependent markers and graphics
!
!----------------------------------- ground -----------------------------------!
!
!
! ****** Ground Part ******
!
defaults model  &
   part_name = ground
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.ground.MARKER_7  &
   adams_id = 7  &
   location = -1.8105148975, -0.9893055215, -1.08032793  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.ground.MARKER_9  &
   adams_id = 9  &
   location = -1.8105148975, -2.1393055215, -1.78032793  &
   orientation = 270.0d, 90.0d, 90.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.ground  &
   material_type = .MODEL_1.steel
!
part attributes  &
   part_name = .MODEL_1.ground  &
   name_visibility = off
!
!------------------------------------- B3 -------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.B3  &
   adams_id = 2  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.B3
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.B3.PSMAR  &
   adams_id = 24  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .MODEL_1.B3.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .MODEL_1.B3.cm  &
   adams_id = 25  &
   location = -7.0792968768E-002, -1.5642998133, -1.3800564896  &
   orientation = 90.0002868356d, 86.9369349203d, 1.1714329102E-003d
!
marker create  &
   marker_name = .MODEL_1.B3.MARKER_6  &
   adams_id = 6  &
   location = -1.8105148975, -0.9893055215, -1.08032793  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.B3.MARKER_8  &
   adams_id = 8  &
   location = -1.8105148975, -2.1393055215, -1.78032793  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.B3.MARKER_11  &
   adams_id = 11  &
   location = 1.499485073, -1.5643055473, -1.02232793  &
   orientation = 90.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.B3  &
   mass = 2280.6709399019  &
   center_of_mass_marker = .MODEL_1.B3.cm  &
   ixx = 2519.8408472575  &
   iyy = 2513.9296381124  &
   izz = 345.8044725868  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .MODEL_1.B3  &
   visibility = on
!
!------------------------------------- B4 -------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.B4  &
   adams_id = 3  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.B4
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.B4.PSMAR  &
   adams_id = 26  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .MODEL_1.B4.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .MODEL_1.B4.cm  &
   adams_id = 27  &
   location = 1.8696391675, -1.5643394313, -1.33230588  &
   orientation = 89.9933230654d, 89.9969085661d, 2.0434362294E-002d
!
marker create  &
   marker_name = .MODEL_1.B4.MARKER_1  &
   adams_id = 1  &
   location = 1.499485073, -1.5643055473, -1.02232793  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.B4.MARKER_10  &
   adams_id = 10  &
   location = 1.499485073, -1.5643055473, -1.02232793  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.B4.MARKER_12  &
   adams_id = 12  &
   location = 2.829485073, -1.5643055473, -1.33232793  &
   orientation = 90.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.B4.MARKER_20  &
   adams_id = 20  &
   location = 2.829485073, -1.5643055473, -1.33232793  &
   orientation = 270.0d, 90.0d, 90.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.B4  &
   mass = 420.654375222  &
   center_of_mass_marker = .MODEL_1.B4.cm  &
   ixx = 110.1571243293  &
   iyy = 105.3438625952  &
   izz = 52.9537711236  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .MODEL_1.B4  &
   visibility = on
!
!------------------------------------- B5 -------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.B5  &
   adams_id = 4  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.B5
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.B5.PSMAR  &
   adams_id = 28  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .MODEL_1.B5.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .MODEL_1.B5.cm  &
   adams_id = 29  &
   location = 3.4991904974, -1.6282449925, -1.1946074632  &
   orientation = 74.5828884111d, 49.0146652894d, 9.6120230109d
!
marker create  &
   marker_name = .MODEL_1.B5.MARKER_2  &
   adams_id = 2  &
   location = 2.829485073, -1.5643055473, -1.33232793  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.B5.MARKER_13  &
   adams_id = 13  &
   location = 2.829485073, -1.5643055473, -1.33232793  &
   orientation = 90.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.B5.MARKER_14  &
   adams_id = 14  &
   location = 3.739485073, -1.4033055473, -0.95732793  &
   orientation = 0.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.B5.MARKER_21  &
   adams_id = 21  &
   location = 2.829485073, -1.5643055473, -1.33232793  &
   orientation = 270.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.B5.MARKER_22  &
   adams_id = 22  &
   location = 3.739485073, -1.4033055473, -0.95732793  &
   orientation = 180.0d, 90.0d, 180.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.B5  &
   material_type = .MODEL_1.MATERIAL_5
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .MODEL_1.B5  &
   visibility = on
!
!------------------------------------- B6 -------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.B6  &
   adams_id = 5  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.B6
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.B6.PSMAR  &
   adams_id = 30  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .MODEL_1.B6.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .MODEL_1.B6.cm  &
   adams_id = 31  &
   location = 4.0473339812, -1.4734042594, -0.6274258055  &
   orientation = 233.1563323512d, 135.5018797173d, 150.4276486798d
!
marker create  &
   marker_name = .MODEL_1.B6.MARKER_3  &
   adams_id = 3  &
   location = 3.739485073, -1.4033055473, -0.95732793  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.B6.MARKER_15  &
   adams_id = 15  &
   location = 3.739485073, -1.4033055473, -0.95732793  &
   orientation = 0.0d, 90.0d, 90.0d
!
marker create  &
   marker_name = .MODEL_1.B6.MARKER_16  &
   adams_id = 16  &
   location = 4.114485073, -1.5643055473, -1.732792998E-002  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.B6.MARKER_23  &
   adams_id = 23  &
   location = 3.739485073, -1.4033055473, -0.95732793  &
   orientation = 180.0d, 90.0d, 180.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.B6  &
   material_type = .MODEL_1.MATERIAL_4
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .MODEL_1.B6  &
   visibility = on
!
!------------------------------------- B7 -------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.B7  &
   adams_id = 6  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.B7
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.B7.PSMAR  &
   adams_id = 32  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .MODEL_1.B7.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .MODEL_1.B7.cm  &
   adams_id = 33  &
   location = 4.1255308797, -1.5512820872, 1.9156490014  &
   orientation = 294.2427239139d, 177.4806546367d, 192.2231202849d
!
marker create  &
   marker_name = .MODEL_1.B7.MARKER_4  &
   adams_id = 4  &
   location = 4.114485073, -1.5643055473, -1.732792998E-002  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.B7.MARKER_5  &
   adams_id = 5  &
   location = 4.204485073, -1.5643055473, 3.38267207  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.B7.MARKER_17  &
   adams_id = 17  &
   location = 4.114485073, -1.5643055473, -1.732792998E-002  &
   orientation = 90.0d, 0.0d, 0.0d
!
marker create  &
   marker_name = .MODEL_1.B7.MARKER_18  &
   adams_id = 18  &
   location = 4.204485073, -1.5643055473, 3.38267207  &
   orientation = 90.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.B7  &
   mass = 727.3581409097  &
   center_of_mass_marker = .MODEL_1.B7.cm  &
   ixx = 651.9099938502  &
   iyy = 647.8078947066  &
   izz = 68.7096680463  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .MODEL_1.B7  &
   visibility = on
!
!----------------------------------- fuzai ------------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
part create rigid_body name_and_position  &
   part_name = .MODEL_1.fuzai  &
   adams_id = 7  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.fuzai
!
! ****** Markers for current part ******
!
marker create  &
   marker_name = .MODEL_1.fuzai.PSMAR  &
   adams_id = 34  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0d, 0.0d, 0.0d
!
marker attributes  &
   marker_name = .MODEL_1.fuzai.PSMAR  &
   visibility = off
!
marker create  &
   marker_name = .MODEL_1.fuzai.cm  &
   adams_id = 35  &
   location = 4.2306860565, -1.5643050723, 4.310347252  &
   orientation = 270.0030415824d, 2.0563502461d, 89.9969088844d
!
marker create  &
   marker_name = .MODEL_1.fuzai.MARKER_19  &
   adams_id = 19  &
   location = 4.204485073, -1.5643055473, 3.38267207  &
   orientation = 90.0d, 0.0d, 0.0d
!
part create rigid_body mass_properties  &
   part_name = .MODEL_1.fuzai  &
   mass = 0.9774794134  &
   center_of_mass_marker = .MODEL_1.fuzai.cm  &
   ixx = 0.3383450574  &
   iyy = 0.2411932561  &
   izz = 0.1538594347  &
   ixy = 0.0  &
   izx = 0.0  &
   iyz = 0.0
!
! ****** Graphics for current part ******
!
part attributes  &
   part_name = .MODEL_1.fuzai  &
   visibility = on
!
! ****** Graphics from Parasolid file ******
!
file parasolid read  &
   file_name = "Controls_Plant_4.xmt_txt"  &
   model_name = .MODEL_1
!
geometry attributes  &
   geometry_name = .MODEL_1.B3.SOLID1  &
   color = WHITE
!
geometry attributes  &
   geometry_name = .MODEL_1.B3.SOLID2  &
   color = COLOR_R123G125B126
!
geometry attributes  &
   geometry_name = .MODEL_1.B3.SOLID3  &
   color = COLOR_R123G125B126
!
geometry attributes  &
   geometry_name = .MODEL_1.B3.SOLID4  &
   color = WHITE
!
geometry attributes  &
   geometry_name = .MODEL_1.B4.SOLID5  &
   color = COLOR_R229G233B236
!
geometry attributes  &
   geometry_name = .MODEL_1.B5.SOLID6  &
   color = WHITE
!
geometry attributes  &
   geometry_name = .MODEL_1.B6.SOLID7  &
   color = COLOR_R229G233B236
!
geometry attributes  &
   geometry_name = .MODEL_1.B7.SOLID8  &
   color = COLOR_R229G233B236
!
geometry attributes  &
   geometry_name = .MODEL_1.B7.SOLID9  &
   color = COLOR_R229G233B236
!
geometry attributes  &
   geometry_name = .MODEL_1.B7.SOLID10  &
   color = COLOR_R229G233B236
!
geometry attributes  &
   geometry_name = .MODEL_1.B7.SOLID11  &
   color = COLOR_R229G233B236
!
geometry attributes  &
   geometry_name = .MODEL_1.B7.SOLID12  &
   color = COLOR_R229G233B236
!
geometry attributes  &
   geometry_name = .MODEL_1.fuzai.SOLID13  &
   color = WHITE
!
geometry attributes  &
   geometry_name = .MODEL_1.fuzai.SOLID14  &
   color = WHITE
!
geometry attributes  &
   geometry_name = .MODEL_1.fuzai.SOLID15  &
   color = WHITE
!
!----------------------------------- Joints -----------------------------------!
!
!
constraint create joint fixed  &
   joint_name = .MODEL_1.JOINT_1  &
   adams_id = 1  &
   i_marker_name = .MODEL_1.B3.MARKER_6  &
   j_marker_name = .MODEL_1.ground.MARKER_7
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_1  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .MODEL_1.JOINT_2  &
   adams_id = 2  &
   i_marker_name = .MODEL_1.B3.MARKER_8  &
   j_marker_name = .MODEL_1.ground.MARKER_9
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_2  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .MODEL_1.JOINT_3  &
   adams_id = 3  &
   i_marker_name = .MODEL_1.B4.MARKER_10  &
   j_marker_name = .MODEL_1.B3.MARKER_11
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_3  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .MODEL_1.JOINT_4  &
   adams_id = 4  &
   i_marker_name = .MODEL_1.B4.MARKER_12  &
   j_marker_name = .MODEL_1.B5.MARKER_13
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_4  &
   name_visibility = off
!
constraint create joint revolute  &
   joint_name = .MODEL_1.JOINT_5  &
   adams_id = 5  &
   i_marker_name = .MODEL_1.B5.MARKER_14  &
   j_marker_name = .MODEL_1.B6.MARKER_15
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_5  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .MODEL_1.JOINT_6  &
   adams_id = 6  &
   i_marker_name = .MODEL_1.B6.MARKER_16  &
   j_marker_name = .MODEL_1.B7.MARKER_17
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_6  &
   name_visibility = off
!
constraint create joint fixed  &
   joint_name = .MODEL_1.JOINT_7  &
   adams_id = 7  &
   i_marker_name = .MODEL_1.B7.MARKER_18  &
   j_marker_name = .MODEL_1.fuzai.MARKER_19
!
constraint attributes  &
   constraint_name = .MODEL_1.JOINT_7  &
   name_visibility = off
!
!----------------------------------- Forces -----------------------------------!
!
!
force create direct single_component_force  &
   single_component_force_name = .MODEL_1.SFORCE_1  &
   adams_id = 1  &
   type_of_freedom = rotational  &
   i_marker_name = .MODEL_1.B4.MARKER_20  &
   j_marker_name = .MODEL_1.B5.MARKER_21  &
   action_only = off  &
   function = ""
!
force create direct single_component_force  &
   single_component_force_name = .MODEL_1.SFORCE_2  &
   adams_id = 2  &
   type_of_freedom = rotational  &
   i_marker_name = .MODEL_1.B5.MARKER_22  &
   j_marker_name = .MODEL_1.B6.MARKER_23  &
   action_only = off  &
   function = ""
!
!----------------------------- Simulation Scripts -----------------------------!
!
!
simulation script create  &
   sim_script_name = .MODEL_1.Last_Sim  &
   commands =   &
              "simulation single_run transient type=auto_select initial_static=no end_time=5.0 number_of_steps=500 model_name=.MODEL_1"
!
!-------------------------- Adams/View UDE Instances --------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
undo begin_block suppress = yes
!
ude create instance  &
   instance_name = .MODEL_1.Controls_Plant_1  &
   definition_name = .controls.controls_plant  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = .MODEL_1.Controls_Plant_2  &
   definition_name = .controls.controls_plant  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = .MODEL_1.Controls_Plant_3  &
   definition_name = .controls.controls_plant  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
ude create instance  &
   instance_name = .MODEL_1.Controls_Plant_4  &
   definition_name = .controls.controls_plant  &
   location = 0.0, 0.0, 0.0  &
   orientation = 0.0, 0.0, 0.0
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.input_channels  &
   object_value =   &
      .MODEL_1.TORQUE1,  &
      .MODEL_1.TORQUE2
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.output_channels  &
   object_value =   &
      .MODEL_1.ANGLE1,  &
      .MODEL_1.ANGLE2
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.file_name  &
   string_value = "Controls_Plant_1"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.solver_type  &
   string_value = "fortran"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.target  &
   string_value = "MATLAB"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.analysis_type  &
   string_value = "non_linear"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.analysis_init  &
   string_value = "no"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.analysis_init_str  &
   string_value = ""
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.user_lib  &
   string_value = ""
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.host  &
   string_value = "QINGUODONG-1"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_1.dynamic_state  &
   string_value = "on"
!
ude modify instance  &
   instance_name = .MODEL_1.Controls_Plant_1
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.input_channels  &
   object_value =   &
      .MODEL_1.TORQUE1,  &
      .MODEL_1.TORQUE2
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.output_channels  &
   object_value =   &
      .MODEL_1.ANGLE1,  &
      .MODEL_1.ANGLE2
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.file_name  &
   string_value = "Controls_Plant_2"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.solver_type  &
   string_value = "fortran"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.target  &
   string_value = "MATLAB"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.analysis_type  &
   string_value = "non_linear"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.analysis_init  &
   string_value = "no"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.analysis_init_str  &
   string_value = ""
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.user_lib  &
   string_value = ""
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.host  &
   string_value = "QINGUODONG-1"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_2.dynamic_state  &
   string_value = "on"
!
ude modify instance  &
   instance_name = .MODEL_1.Controls_Plant_2
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.input_channels  &
   object_value =   &
      .MODEL_1.TORQUE1,  &
      .MODEL_1.TORQUE2
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.output_channels  &
   object_value =   &
      .MODEL_1.ANGLE1,  &
      .MODEL_1.ANGLE2
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.file_name  &
   string_value = "Controls_Plant_3"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.solver_type  &
   string_value = "fortran"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.target  &
   string_value = "MATLAB"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.analysis_type  &
   string_value = "non_linear"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.analysis_init  &
   string_value = "no"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.analysis_init_str  &
   string_value = ""
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.user_lib  &
   string_value = ""
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.host  &
   string_value = "QINGUODONG-1"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_3.dynamic_state  &
   string_value = "on"
!
ude modify instance  &
   instance_name = .MODEL_1.Controls_Plant_3
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.input_channels  &
   object_value =   &
      .MODEL_1.TORQUE1,  &
      .MODEL_1.TORQUE2
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.output_channels  &
   object_value =   &
      .MODEL_1.ANGLE1,  &
      .MODEL_1.ANGLE2
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.file_name  &
   string_value = "Controls_Plant_4"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.solver_type  &
   string_value = "fortran"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.target  &
   string_value = "MATLAB"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.analysis_type  &
   string_value = "non_linear"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.analysis_init  &
   string_value = "no"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.analysis_init_str  &
   string_value = ""
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.user_lib  &
   string_value = ""
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.host  &
   string_value = "QINGUODONG-1"
!
variable modify  &
   variable_name = .MODEL_1.Controls_Plant_4.dynamic_state  &
   string_value = "on"
!
ude modify instance  &
   instance_name = .MODEL_1.Controls_Plant_4
!
undo end_block
!
!------------------------------ Dynamic Graphics ------------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = .MODEL_1.ground
!
geometry create shape force  &
   force_name = .MODEL_1.SFORCE_1_force_graphic_1  &
   adams_id = 16  &
   force_element_name = .MODEL_1.SFORCE_1  &
   applied_at_marker_name = .MODEL_1.B4.MARKER_20
!
geometry create shape force  &
   force_name = .MODEL_1.SFORCE_2_force_graphic_1  &
   adams_id = 17  &
   force_element_name = .MODEL_1.SFORCE_2  &
   applied_at_marker_name = .MODEL_1.B5.MARKER_22
!
!---------------------------------- Accgrav -----------------------------------!
!
!
force create body gravitational  &
   gravity_field_name = gravity  &
   x_component_gravity = 0.0  &
   y_component_gravity = 0.0  &
   z_component_gravity = -9.80665
!
!----------------------------- Analysis settings ------------------------------!
!
!
!---------------------------- Adams/View Variables ----------------------------!
!
!
variable create  &
   variable_name = .MODEL_1._model  &
   string_value = ".MODEL_1"
!
!---------------------------- Function definitions ----------------------------!
!
!
data_element modify variable  &
   variable_name = .MODEL_1.TORQUE1  &
   function = "0"
!
data_element modify variable  &
   variable_name = .MODEL_1.TORQUE2  &
   function = "0"
!
data_element modify variable  &
   variable_name = .MODEL_1.ANGLE1  &
   function = "AZ(.MODEL_1.B4.MARKER_12,.MODEL_1.B5.MARKER_13)"
!
data_element modify variable  &
   variable_name = .MODEL_1.ANGLE2  &
   function = "AZ(.MODEL_1.B5.MARKER_14,.MODEL_1.B6.MARKER_15)"
!
force modify direct single_component_force  &
   single_component_force_name = .MODEL_1.SFORCE_1  &
   function = "VARVAL(.MODEL_1.TORQUE1)"
!
force modify direct single_component_force  &
   single_component_force_name = .MODEL_1.SFORCE_2  &
   function = "VARVAL(.MODEL_1.TORQUE2)"
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .MODEL_1.Controls_Plant_1
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .MODEL_1.Controls_Plant_2
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .MODEL_1.Controls_Plant_3
!
!-------------------------- Adams/View UDE Instance ---------------------------!
!
!
ude modify instance  &
   instance_name = .MODEL_1.Controls_Plant_4
!
!--------------------------- Expression definitions ---------------------------!
!
!
defaults coordinate_system  &
   default_coordinate_system = ground
!
material modify  &
   material_name = .MODEL_1.steel  &
   youngs_modulus = (2.07E+011(Newton/meter**2))  &
   density = (7801.0(kg/meter**3))
!
geometry modify shape force  &
   force_name = .MODEL_1.SFORCE_1_force_graphic_1  &
   applied_at_marker_name = (.MODEL_1.SFORCE_1.i)
!
geometry modify shape force  &
   force_name = .MODEL_1.SFORCE_2_force_graphic_1  &
   applied_at_marker_name = (.MODEL_1.SFORCE_2.i)
!
model display  &
   model_name = MODEL_1
