% Adams / MATLAB Interface - Release 2013.0.0
global ADAMS_sysdir; % used by setup_rtw_for_adams.m
global ADAMS_host; % used by start_adams_daemon.m
machine=computer;
datestr(now)
if strcmp(machine, 'SOL2')
   arch = 'solaris32';
elseif strcmp(machine, 'SOL64')
   arch = 'solaris32';
elseif strcmp(machine, 'GLNX86')
   arch = 'linux32';
elseif strcmp(machine, 'GLNXA64')
   arch = 'linux64';
elseif strcmp(machine, 'PCWIN')
   arch = 'win32';
elseif strcmp(machine, 'PCWIN64')
   arch = 'win64';
else
   disp( '%%% Error : Platform unknown or unsupported by Adams/Controls.' ) ;
   arch = 'unknown_or_unsupported';
   return
end
flag = 1;
if strcmp(arch,'win64')
   try
      topdir =  strcat(winqueryreg('HKEY_LOCAL_MACHINE','SOFTWARE\Wow6432Node\MSC.Software Corporation\Adams x64\23.0.0\','Path'),'\');
      flag = 0;
   end
   try
      topdir =  strcat(winqueryreg('HKEY_CURRENT_USER','SOFTWARE\Wow6432Node\MSC.Software Corporation\Adams x64\23.0.0\','Path'),'\');
      flag = 0;
   end
else
   try
      topdir =  strcat(winqueryreg('HKEY_LOCAL_MACHINE','SOFTWARE\Wow6432Node\MSC.Software Corporation\Adams\23.0.0\','Path'),'\');
      flag = 0;
   end
   try
      topdir =  strcat(winqueryreg('HKEY_CURRENT_USER','SOFTWARE\Wow6432Node\MSC.Software Corporation\Adams\23.0.0\','Path'),'\');
      flag = 0;
   end
end
if flag == 0
  temp_str=strcat(topdir, '/controls/', arch);
  addpath(temp_str)
  temp_str=strcat(topdir, '/controls/', 'matlab');
  addpath(temp_str)
  temp_str=strcat(topdir, '/controls/', 'utils');
  addpath(temp_str)
  ADAMS_sysdir = strcat(topdir, '');
else
  addpath( 'D:\MSC.Software\Adams_x64\2013\controls/win64' ) ;
  addpath( 'D:\MSC.Software\Adams_x64\2013\controls/matlab' ) ;
  addpath( 'D:\MSC.Software\Adams_x64\2013\controls/utils' ) ;
  ADAMS_sysdir = 'D:\MSC.Software\Adams_x64\2013\' ;
end
ADAMS_exec = '' ;
ADAMS_host = 'QINGUODONG-1' ;
ADAMS_cwd ='G:\0919wurouxing'  ;
ADAMS_prefix = 'Controls_Plant_4' ;
ADAMS_static = 'no' ;
ADAMS_solver_type = 'Fortran' ;
if exist([ADAMS_prefix,'.adm']) == 0
   disp( ' ' ) ;
   disp( '%%% Warning : missing ADAMS plant model file(.adm) for Co-simulation or Function Evaluation.' ) ;
   disp( '%%% If necessary, please re-export model files or copy the exported plant model files into the' ) ;
   disp( '%%% working directory.  You may disregard this warning if the Co-simulation/Function Evaluation' ) ;
   disp( '%%% is TCP/IP-based (running Adams on another machine), or if setting up MATLAB/Real-Time Workshop' ) ;
   disp( '%%% for generation of an External System Library.' ) ;
   disp( ' ' ) ;
end
ADAMS_init = '' ;
ADAMS_inputs  = 'TORQUE1!TORQUE2' ;
ADAMS_outputs = 'ANGLE1!ANGLE2' ;
ADAMS_pinput = 'Controls_Plant_4.ctrl_pinput' ;
ADAMS_poutput = 'Controls_Plant_4.ctrl_poutput' ;
ADAMS_uy_ids  = [
                   1
                   2
                   3
                   4
                ] ;
ADAMS_mode   = 'non-linear' ;
tmp_in  = decode( ADAMS_inputs  ) ;
tmp_out = decode( ADAMS_outputs ) ;
disp( ' ' ) ;
disp( '%%% INFO : ADAMS plant actuators names :' ) ;
disp( [int2str([1:size(tmp_in,1)]'),blanks(size(tmp_in,1))',tmp_in] ) ;
disp( '%%% INFO : ADAMS plant sensors   names :' ) ;
disp( [int2str([1:size(tmp_out,1)]'),blanks(size(tmp_out,1))',tmp_out] ) ;
disp( ' ' ) ;
clear tmp_in tmp_out ;
% Adams / MATLAB Interface - Release 2013.0.0
