function [sys,x0,str,ts] = spacemodel(t,x,u,flag)
switch flag,
case 0,
    [sys,x0,str,ts]=mdlInitializeSizes;
case 1,
    sys=mdlDerivatives(t,x,u);
case 3,
    sys=mdlOutputs(t,x,u);
case {2,4,9}
    sys=[];
otherwise
    error(['Unhandled flag = ',num2str(flag)]);
end
function [sys,x0,str,ts]=mdlInitializeSizes
global cc bb c miu
sizes = simsizes;
sizes.NumContStates  = 2;
sizes.NumDiscStates  = 0;
sizes.NumOutputs     = 2;
sizes.NumInputs      = 10;
sizes.DirFeedthrough = 1;
sizes.NumSampleTimes = 0;
sys = simsizes(sizes);
x0  = 0*ones(1,2);
str = [];
ts  = [];
cc=0.5*[-1 -0.5 0 0.5 1;
        -1 -0.5 0 0.5 1];
bb=5.0;
c=15;
miu=30;
function sys=mdlDerivatives(t,x,u)
global cc bb c miu
thd1=u(1);thd2=u(4);
dthd1=u(2);dthd2=u(5);
ddthd1=u(3);ddthd2=u(6);
x1=u(7);dx1=u(8);
x2=u(9);dx2=u(10);
e1=thd1-x1;de1=dthd1-dx1;
e2=thd2-x2;de2=dthd2-dx2;
e=[e1 e2]';de=[de1 de2]';
s1=c*e(1)+de(1);
s2=c*e(2)+de(2);
s=[s1 s2];
xi=[x1 x2;dx1 dx2];
h=zeros(5,2);
for i=1:1:2
for j=1:1:5
    h(j,i)=exp(-norm(xi(:,i)-cc(:,j))^2/(2*bb^2));
end
end
gama=1500;
k=2*miu/gama;
W1=[x(1) x(2)]';
    sys(1)=gama/2*s(1)^2*h(:,1)'*h(:,1)-k*gama*x(1);
    sys(2)=gama/2*s(2)^2*h(:,2)'*h(:,2)-k*gama*x(2);

function sys=mdlOutputs(t,x,u)
global cc bb c miu
thd1=u(1);thd2=u(4);
dthd1=u(2);dthd2=u(5);
ddthd1=u(3);ddthd2=u(6);
x1=u(7);dx1=u(8);
x2=u(9);dx2=u(10);
e1=thd1-x1;de1=dthd1-dx1;
e2=thd2-x2;de2=dthd2-dx2;
e=[e1 e2]';de=[de1 de2]';
s1=c*e(1)+de(1);
s2=c*e(2)+de(2);
s=[s1 s2];

W=[x(1) x(2)]';
xi=[x1 x2;dx1 dx2];
h=zeros(5,2);
for i=1:1:2
for j=1:1:5
    h(j,i)=exp(-norm(xi(:,i)-cc(:,j))^2/(2*bb^2));
end
end


o1=u(1);o2=u(4);oo1=u(2);oo2=u(5);
%ֵ
%˲
rr1=[1.154 -0.048 0.028 0].';rr2=[0.37 0.018 -0.0005 0].';%%λ
%DH1xƶL12
L1=1.76;
Gg=[0 0 9.81 0];%
%ϵ壩
I1xx=150;I1yy=168;I1zz=46; I1zx=-30; I1xz=-30; I1yx=5; I1xy=5; I1yz=-30;I1zy=-30; m1x=-32.7;m1y=-15; m1z=159;m1=237;
I2xx=244;I2yy=6721;I2zz=6841; I2zx=309; I2xz=309; I2yx=854; I2xy=854; I2yz=49;I2zy=49; m2x=2148;m2y=335; m2z=120;m2=908;
%Ʋ
Gama=0.05;alfa=20;
az =[ sin(o1)*(sin(o1)*(I2xx/2 + I2yy/2 - I2zz/2) + m2z*((19*cos(o1))/50 - (91*sin(o1))/100) + I2xz*cos(o1)*cos(o2) - I2yz*cos(o1)*sin(o2)) + cos(o1)*(cos(o1)*(I2xx/2 + I2yy/2 - I2zz/2) - m2z*((91*cos(o1))/100 + (19*sin(o1))/50) - I2xz*cos(o2)*sin(o1) + I2yz*sin(o1)*sin(o2)) + cos(o1)*(cos(o1)*(I1xx/2 - I1yy/2 + I1zz/2) + I1xy*sin(o1)) + cos(o1)*(cos(o1)*(I1yy/2 - I1xx/2 + I1zz/2) - I1xy*sin(o1)) + sin(o1)*(I1xy*cos(o1) + sin(o1)*(I1yy/2 - I1xx/2 + I1zz/2)) - sin(o1)*(I1xy*cos(o1) - sin(o1)*(I1xx/2 - I1yy/2 + I1zz/2)) + ((19*cos(o1))/50 - (91*sin(o1))/100)*(m2*((19*cos(o1))/50 - (91*sin(o1))/100) + m2z*sin(o1) + m2x*cos(o1)*cos(o2) - m2y*cos(o1)*sin(o2)) - ((91*cos(o1))/100 + (19*sin(o1))/50)*(m2z*cos(o1) - m2*((91*cos(o1))/100 + (19*sin(o1))/50) - m2x*cos(o2)*sin(o1) + m2y*sin(o1)*sin(o2)) + cos(o1)*cos(o2)*(I2xz*sin(o1) + m2x*((19*cos(o1))/50 - (91*sin(o1))/100) + cos(o1)*cos(o2)*(I2yy/2 - I2xx/2 + I2zz/2) - I2xy*cos(o1)*sin(o2)) - cos(o1)*sin(o2)*(I2yz*sin(o1) + m2y*((19*cos(o1))/50 - (91*sin(o1))/100) + I2xy*cos(o1)*cos(o2) - cos(o1)*sin(o2)*(I2xx/2 - I2yy/2 + I2zz/2)) - cos(o2)*sin(o1)*(I2xz*cos(o1) - m2x*((91*cos(o1))/100 + (19*sin(o1))/50) - cos(o2)*sin(o1)*(I2yy/2 - I2xx/2 + I2zz/2) + I2xy*sin(o1)*sin(o2)) + sin(o1)*sin(o2)*(I2yz*cos(o1) - m2y*((91*cos(o1))/100 + (19*sin(o1))/50) - I2xy*cos(o2)*sin(o1) + sin(o1)*sin(o2)*(I2xx/2 - I2yy/2 + I2zz/2)), (m2y*cos(o1)*cos(o2) + m2x*cos(o1)*sin(o2))*((91*cos(o1))/100 + (19*sin(o1))/50) - sin(o1)*(I2yz*cos(o2)*sin(o1) + I2xz*sin(o1)*sin(o2)) - cos(o1)*(I2yz*cos(o1)*cos(o2) + I2xz*cos(o1)*sin(o2)) - (m2y*cos(o2)*sin(o1) + m2x*sin(o1)*sin(o2))*((19*cos(o1))/50 - (91*sin(o1))/100) + cos(o2)*sin(o1)*(I2xy*cos(o1)*cos(o2) + cos(o1)*sin(o2)*(I2yy/2 - I2xx/2 + I2zz/2)) - cos(o1)*cos(o2)*(I2xy*cos(o2)*sin(o1) + sin(o1)*sin(o2)*(I2yy/2 - I2xx/2 + I2zz/2)) - sin(o1)*sin(o2)*(cos(o1)*cos(o2)*(I2xx/2 - I2yy/2 + I2zz/2) + I2xy*cos(o1)*sin(o2)) + cos(o1)*sin(o2)*(cos(o2)*sin(o1)*(I2xx/2 - I2yy/2 + I2zz/2) + I2xy*sin(o1)*sin(o2));...
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             - cos(o2)*sin(o1)*(I2yz*sin(o1) + m2y*((19*cos(o1))/50 - (91*sin(o1))/100) + I2xy*cos(o1)*cos(o2) - cos(o1)*sin(o2)*(I2xx/2 - I2yy/2 + I2zz/2)) - cos(o1)*cos(o2)*(I2yz*cos(o1) - m2y*((91*cos(o1))/100 + (19*sin(o1))/50) - I2xy*cos(o2)*sin(o1) + sin(o1)*sin(o2)*(I2xx/2 - I2yy/2 + I2zz/2)) - sin(o1)*sin(o2)*(I2xz*sin(o1) + m2x*((19*cos(o1))/50 - (91*sin(o1))/100) + cos(o1)*cos(o2)*(I2yy/2 - I2xx/2 + I2zz/2) - I2xy*cos(o1)*sin(o2)) - cos(o1)*sin(o2)*(I2xz*cos(o1) - m2x*((91*cos(o1))/100 + (19*sin(o1))/50) - cos(o2)*sin(o1)*(I2yy/2 - I2xx/2 + I2zz/2) + I2xy*sin(o1)*sin(o2)),                                                                                                                                                           cos(o2)*(cos(o2)*(I2yy/2 - I2xx/2 + I2zz/2) - I2xy*sin(o2)) - sin(o2)*(I2xy*cos(o2) - sin(o2)*(I2xx/2 - I2yy/2 + I2zz/2)) + cos(o1)*cos(o2)*(cos(o1)*cos(o2)*(I2xx/2 - I2yy/2 + I2zz/2) + I2xy*cos(o1)*sin(o2)) + cos(o1)*sin(o2)*(I2xy*cos(o1)*cos(o2) + cos(o1)*sin(o2)*(I2yy/2 - I2xx/2 + I2zz/2)) + cos(o2)*sin(o1)*(cos(o2)*sin(o1)*(I2xx/2 - I2yy/2 + I2zz/2) + I2xy*sin(o1)*sin(o2)) + sin(o1)*sin(o2)*(I2xy*cos(o2)*sin(o1) + sin(o1)*sin(o2)*(I2yy/2 - I2xx/2 + I2zz/2))];
%

ddthd=[ddthd1 ddthd2]';

%if t<=1
   xite=0.1;
%else
%    xite=0.1;
%end

    ww1=(-0.5*s(1)*x(1)*h(:,1)'*h(:,1)+ddthd(1)-c*de(1)-0.01*sign(s1)-miu*s1);
    ww2=(-0.5*s(2)*x(2)*h(:,2)'*h(:,2)+ddthd(2)-c*de(2)-xite*sign(s2)-miu*s2);
ut=az*[ww1;ww2];
sys(1)=ut(1);
sys(2)=ut(2);





